Package org.apache.qpid.proton.amqp.messaging

# Enum Section.SectionType

java.lang.Object
java.lang.Enum<Section.SectionType>
org.apache.qpid.proton.amqp.messaging.Section.SectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<Section.SectionType>`

Enclosing interface:
  `Section`

public static enum Section.SectionType extends Enum<Section.SectionType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AmqpSequence`
`AmqpValue`
`ApplicationProperties`
`Data`
`DeliveryAnnotations`
`Footer`
`Header`
`MessageAnnotations`
`Properties`

## Method Summary

Modifier and Type
Method
Description
`static Section.SectionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Section.SectionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AmqpSequence

public static final Section.SectionType AmqpSequence

### AmqpValue

public static final Section.SectionType AmqpValue

### ApplicationProperties

public static final Section.SectionType ApplicationProperties

### Data

public static final Section.SectionType Data

### DeliveryAnnotations

public static final Section.SectionType DeliveryAnnotations

### Footer

public static final Section.SectionType Footer

### Header

public static final Section.SectionType Header

### MessageAnnotations

public static final Section.SectionType MessageAnnotations

### Properties

public static final Section.SectionType Properties

## Method Details

### values

public static Section.SectionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Section.SectionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null